List blackout reasons
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/blackouts/reasons
Lists known predefined and user-defined blackout reasons. For predefined blackout reasons, a localized display name is also available. For user-defined reasons, the display name is the same as the reason.
Request
Query Parameters
-
id: integer
filters on specified idsExample:
23 -
limit: integer(int32)
Minimum Value:
1Maximum Value:2000to limit the number of rows returned. If the result set is greater follow the previous and next links in the results.Example:20 -
page: string
system generated page token used in the self, next and previous links.
-
sort: string
The sort field and direction. Allowed sort fields are reason and id. Allowed directions are DESC and ASCExample:
id:ASC
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
OK
Root Schema : BlackoutReasonCollection
Type:
objectCollection of blackout reasons.
Show Source
-
count(required): integer
Number of items in this page.Example:
1 -
items(required): array
items
blackout reasons
-
links(required): object
links
Result set navigation links.
-
total: integer
Total number of items in this request. This has to be explicitly included in the request.
Nested Schema : items
Type:
arrayblackout reasons
Show Source
-
Array of:
object BlackoutReasonSummary
A single blackout reason.
Nested Schema : BlackoutReasonSummary
Type:
objectA single blackout reason.
Match All
A single blackout reason.
Show Source
-
object
allOf
BlackoutReason
A single blackout reason.
Nested Schema : BlackoutReason
Type:
objectA single blackout reason.
Show Source
-
reasonDisplayName: string
Localized predefined reason or the user defined reason as provided by the user.
Match All
A single blackout reason.
A single blackout reason.
Show Source
Nested Schema : ReasonId
Type:
objectReason id of a blackout.
Show Source
-
id: string
Reason id of a blackout.
Nested Schema : Reason
Type:
objectReason of a blackout.
Show Source
-
reason: string
Predefined reason in English or a user defined reason.
401 Response
client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
500 Response
internal error serving the request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
503 Response
indicates that a required service is not available.
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description